Subject: Re: Is there any method to get 32bit Cygwin?
From: LnH via Cygwin <[email-masked]>
To: Dan Harkless <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Dec 2022 15:02:01 +0000
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Dir:   Neptune@Pegasus /cygdrive/d/cygwin
$ ./setup-x86.exe --allow-unsupported-windows --site https://mirrors.kernel.org/sourceware/cygwin-archive/20221123/

it stops with the following windows error:  dash.exe -Application Error. The application was unable to start correctly(0xc000007b). Click OK to close the application.

 I get the same error whenever I run an application from my cygwin32 system or any .exe compiled by cygwin32.

I try to compile using -m32 flag I get also the following error : 

Neptune@Pegasus /cygdrive/d/cygwin/home/ainsoph
$ i686-pc-cygwin-gcc.exe -o exe-gcc-032.exe code.c -m32
i686-pc-cygwin-gcc: error: spawn: No such file or directory

Lawrence Habahbeh

Sent with Proton Mail secure email.

------- Original Message -------
On Saturday, December 3rd, 2022 at 5:48 PM, Dan Harkless via Cygwin <[email-masked]> wrote:

> On 12/3/2022 6:43 AM, LnH wrote:
> 
> > That's what I did. I got the setup-x86.exe to the desktop. And then I run it and get the following error "Cygwin is not supported on 32-bit windows". However, I am running 64-bit windows.
> 
> 
> That's not what you said in your original mail. You said "when I try to
> update my 32-bit Cygwin using setup-x86-64". Again, you can't do that.
> And you need to use the commandline options that have been pointed out
> multiple times now. They're making it intentionally hard to install
> 32-bit Cygwin, because it's no longer supported. You need to read the
> instructions more carefully.
> 
> > Lawrence Habahbeh
> > 
> > 
> > Sent with Proton Mail secure email.
> > 
> > ------- Original Message -------
> > On Saturday, December 3rd, 2022 at 5:38 PM, Dan Harkless via Cygwin [email-masked] wrote:
> > 
> > > You can't use the 64-bit installer to install on a 32-bit system.
> > > Here's my response to Matsuoka-san again, minus my little bit of
> > > Japanese practice:
> > > 
> > > Yes, you can still install the 32-bit Cygwin. See
> > > https://cygwin.com/pipermail/cygwin/2022-November/252542.html. To
> > > 
> > > avoid having to
> > > specify those commandline options every time, you can make a
> > > Shortcut to setup-x86.exe
> > > (which can still be downloaded from
> > > https://cygwin.com/install.html), and then change
> > > the .lnk Target to something like:
> > > 
> > > "C:\path\to\setup-x86.exe" --allow-unsupported-windows --site
> > > https://mirrors.kernel.org/sourceware/cygwin-archive/20221123/
> 
> 
> --
> Dan Harkless
> http://harkless.org/dan/
> 
> 
> --
> Problem reports: https://cygwin.com/problems.html
> FAQ: https://cygwin.com/faq/
> Documentation: https://cygwin.com/docs.html
> Unsubscribe info: https://cygwin.com/ml/#unsubscribe-simple

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple